RSS-канал «DWG.RU : Форум»

Доступ к архиву новостей RSS-канала возможен только после подписки.

Как подписчик, вы получите в своё распоряжение бесплатный веб-агрегатор новостей доступный с любого компьютера в котором сможете просматривать и группировать каналы на свой вкус. А, так же, указывать какие из каналов вы захотите читать на вебе, а какие получать по электронной почте.

   

Подписаться на другой RSS-канал, зная только его адрес или адрес сайта.

Код формы подписки на этот канал для вашего сайта:

Форма для любого другого канала

Последние новости

кто разрабатывает технологию нарезки швов [37]
2016-07-27 00:48
Автор: Александр (Калининград)

Добавлено: 26 Jul 2016 23:06 (GMT + 4)

Ребята, в продолжение темы: в соответствии с СП 29.13330.2011 п. 9.9 "...Расстояние между деформационными швами не должно превышать 30-кратной толщины плиты подстилающего слоя, а глубина деформационного шва должна быть не менее 40 мм и не менее 1/3 толщины подстилающего слоя. Увеличение расстояния между деформационными швами следует обосновывать расчетом на температурные воздействия с учетом конструктивных особенностей подстилающего слоя..."; в соответствии с п. 9.10 "В помещениях, при эксплуатации которых возможны перепады температуры воздуха (положительная и отрицательная), деформационные швы должны быть расшиты полимерной эластичной композицией. Для защиты деформационных швов могут быть применены эластичные изоляционные ленты", а пункт 8.14 "В помещениях, при эксплуатации которых возможны перепады температуры воздуха (положительная и отрицательная), в цементно-песчаной или бетонной стяжке необходимо предусматривать деформационные швы, которые должны совпадать с осями колонн, швами плит перекрытий, деформационными швами в подстилающем слое. Деформационные швы должны быть расшиты полимерной эластичной композицией."
Я сейчас проектирую силовую плиту на открытом воздухе под навесом. Подстилающий слой - ж.б. плита (200 мм). По плите предусмотрена бетонная стяжка для отвода воды в лотки, расположенные вдоль плиты. Из выше приведенных пунктов СП совершенно понятно, что необходимо в данном случае выполнять деф. швы и в подстилающем слое и в стяжке, причем расположение данных швов в подст. слое и стяжке должно совпадать в плане. Вопрос вот в чем : не очень понятен узел выполнения данного деф. шва, а именно меня интересует на какую глубину необходимо прорезать шов в стяжке! Завтра пришлю узел, который у меня получился и буду ждать комментариев от людей, которые прорабатывали подобный узел!

Гербарий.рф - импортозамещение в CAD [40]
2016-07-27 00:48
Автор: engngr

Добавлено: 26 Jul 2016 23:02 (GMT + 4)

[OFFTOP]

ETCartman :
До этого чисто российского происхождения было только ядро Компаса



Про то, что ядро компаса "из-за" - спекуляции? Помню, раньше находил в гуглах концы, теперь что-то ослаб в поисках.[/OFFTOP]

Нумерация мультивыносок. [20]
2016-07-27 00:48
Автор: VVA

Добавлено: 26 Jul 2016 23:01 (GMT + 4)

Olga_выноски :
Имею большое желание изменять числа в мультивыносках.



Изменил немного код Lee Maca под твой тип мультивыносок

Код:


(defun c:ML_Inc (/ *error* ParseNumbers uFlag ss)
(vl-load-com)
;; Инкремент мультивыносок, у которых блок-источник имеет атрибут с тагом, хранящимся в переменной attname
(setq attname "TAGNUMBER") ;_Имя аттрибута блока-источника, хранящего значение
(defun *error* (msg)
(setvar 'NOMUTT 0)
(and uFlag (vla-EndUndoMark *doc))
(or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")
(princ (strcat "\n** Error: " msg " **")))
(princ))


(defun ParseNumbers (str / lst Num Aph x rtn)
;; Lee Mac ~ 20.09.09
(setq lst (vl-string->list str) Num "" Aph "")

(while (setq x (car lst))
(setq lst (cdr lst))

(cond ( (and (/= "" Num) (= 46 x))
(setq Num (strcat Num (chr x))))

( (< 47 x 58)
(setq Num (strcat Num (chr x))
rtn (cons Aph rtn) Aph ""))

(t (setq Aph (strcat Aph (chr x))
rtn (cons (read Num) rtn) Num ""))))

(vl-remove nil
(vl-remove "" (reverse (cons Aph (cons (read Num) rtn))))))

(setvar 'NOMUTT 0)
(setq *inc* (cond (*inc*) (1)))
(setq *inc* (cond ((getint (strcat "\nSpecify Increment <"
(vl-princ-to-string *inc*) "> : ")))
(*inc*)))

(setq *doc (cond (*doc) ((vla-get-ActiveDocument (vlax-get-acad-object)))))
;;;(ParseNumbers (LM:SetMLeaderBlockAttributeValue obj "TAGNUMBER" nil))



(setvar 'NOMUTT 1)
(princ "\nSelect Text to Increment : ")
(if (or (ssget "_:L" '((0 . "MULTILEADER")))
(ssget "_X" '((0 . "MULTILEADER"))))
(progn
(setq uFlag (not (vla-StartUndoMark *doc)))

(vlax-for obj (setq ss (vla-get-ActiveSelectionSet *doc))
(if (= 1 (vla-get-ContentType obj)) ;;_Мультивыноски имеют блок-источник
(LM:SetMLeaderBlockAttributeValue obj attname
(apply (function strcat)
(mapcar
(function
(lambda (x) (if (vl-position (type x) '(INT REAL))
(mip-conv-to-str (+ x *inc*)) x)))

(ParseNumbers (LM:SetMLeaderBlockAttributeValue obj attname nil)))))))

(vla-delete ss)
(setq uFlag (vla-EndUndoMark *doc))))

(setvar 'NOMUTT 0)
(princ))
;;---------=={ Set MLeader Block Attribute Value }==----------;;
;; ;;
;; Sets the value of the specified tag for the specified ;;
;; MLeader ;;
;;------------------------------------------------------------;;
;; Author: Lee McDonnell, 2010 ;;
;; ;;
;; Copyright © 2010 by Lee McDonnell, All Rights Reserved. ;;
;; Contact: Lee Mac @ TheSwamp.org, CADTutor.net ;;
;;------------------------------------------------------------;;
;; Arguments: ;;
;; mleader - ename/VLA-Object MLeader with attributed block ;;
;; tag - Tagstring of the attribute to change ;;
;; value - Value to which attribute will be set ;;
;;------------------------------------------------------------;;
;; Returns: T if successful, else nil ;;
;;------------------------------------------------------------;;

(defun LM:SetMLeaderBlockAttributeValue ( mleader tag value / def id )
(vl-load-com)
;; © Lee Mac 2010

(if
(and
(eq "AcDbMLeader"
(vla-get-Objectname
(setq mleader
(cond
( (eq 'VLA-OBJECT (type mleader)) mleader)
( (vlax-ename->vla-object mleader) )
)
)
)
)
(= 1 (vla-get-ContentType mleader))
(setq def
(LM:Itemp
(vla-get-Blocks
(vla-get-ActiveDocument
(vlax-get-acad-object)
)
)
(vla-get-ContentBlockName mleader)
)
)
)
(if
(progn
(vlax-for obj def
(if (and (eq "AcDbAttributeDefinition" (vla-get-Objectname obj))
(eq (strcase tag) (strcase (vla-get-TagString obj))))
(setq id (vla-get-ObjectID obj))
)
)
id
)
(if value
(not (vla-SetBlockAttributeValue mleader id value))
(vla-GetBlockAttributeValue mleader id)
)
)
)
)
;;-----------------------=={ Itemp }==------------------------;;
;; ;;
;; Retrieves the item with index 'item' if present in the ;;
;; specified collection, else nil ;;
;;------------------------------------------------------------;;
;; Author: Lee McDonnell, 2010 ;;
;; ;;
;; Copyright © 2010 by Lee McDonnell, All Rights Reserved. ;;
;; Contact: Lee Mac @ TheSwamp.org, CADTutor.net ;;
;;------------------------------------------------------------;;
;; Arguments: ;;
;; coll - the VLA Collection Object ;;
;; item - the index of the item to be retrieved ;;
;;------------------------------------------------------------;;
;; Returns: the VLA Object at the specified index, else nil ;;
;;------------------------------------------------------------;;

(defun LM:Itemp ( coll item )
;; © Lee Mac 2010
(if
(not
(vl-catch-all-error-p
(setq item
(vl-catch-all-apply
(function vla-item) (list coll item)
)
)
)
)
item
)
)
(defun mip-conv-to-str (dat)
(cond ((= (type dat) 'INT) (setq dat (itoa dat)))
((= (type dat) 'REAL) (setq dat (rtos dat 2 12)))
((null dat) (setq dat ""))
(t (setq dat (vl-princ-to-string dat)))
) ;_ end of cond
) ;_ end of defun

Файл для тестирования в #17

Нужно ли задавать сочетания нагрузок при расчете по РСУ? [16]
2016-07-27 00:48
Автор: IBZ

Добавлено: 26 Jul 2016 22:57 (GMT + 4)

Baton :
Считаю, что надо задавать все нагрузки. Пусть СКАД решает, что хорошо, что плохо. Есть варианты, когда меньшие нагрузки приводят к бОльшим усилиям. В сложных статически неопределимых системах не всегда можно понять, где зло. Пусть СКАД сам все раскладывает. Он для этого и создан. И здесь надо понимать, что СКАД определяет наихудшее сочетание для каждого конкретного элемента. И для двух соседних элементов это могут быть совершенно разные сочетания.



Все Вы верно пишете. Но тут есть одно "но", выделенное мною. Мне кажется, что авторы слишком зарегламентировали блок РСУ. Например, я хочу задать условные крутильные сейсмические воздействия в виде горизонтальных сил (не важно почему считаем, что так надо), наряду с обычными сейсмическими загружениями, заданными в блоке "динамика". В протоколе расчета появляется сообщение, что это не сейсмика и это загружение в РСУ игнорируется. Далее, если я задаю свои пользовательские коэффициенты, программа, один черт, умножает их согласно выбранным нормам. Предложил авторам ввести окошко с возможность выбора: оставить пользовательские коэффициенты или умножать их согласно установленным нормам. Или же в документаторе ввести соответствующую строку. В общем гибкости блока РСУ мне явно не хватет :(

Есть еще много чего - сейчас вмду активную переписку с авторами. К их чести должен сказать, что реагируют они на вопросы и критику весьма оперативно и адекватно :yes:

Конвертация файлов [6643]
2016-07-27 00:48
Автор: 17061974

Добавлено: 26 Jul 2016 22:52 (GMT + 4)

Коллеги, просьба пересохранить в ACADe 2004. Спасибо:)

Как повернуть вид эскиза? [3]
2016-07-27 00:48
Автор: Dormer

Добавлено: 26 Jul 2016 22:51 (GMT + 4)

Я наверно плохо объяснил. Допустим у меня построен некий объект, на его грани создаю эскиз. Допустим при нажатии перпендикулярно, ось Z на эскизе у меня будет направлена вправо, ели еще раз нажать перпендикулярно эcкиз перевернется и ось Z на экране будет направлена влево. А так сделать чтобы ось Z была направлена вверх или вниз? Как повернуть эскиз?

Проблема с операцией "Копировать" (выполняется однократно). [10]
2016-07-27 00:48
Автор: igrik

Добавлено: 26 Jul 2016 22:47 (GMT + 4)

С макросом я разобрался, он оказывается очень простой "[U]^C^C_copy н [/U]", но не смог его привязать к командам псевдоимен (acad.pgp) только которыми и пользуюсь.
Пытался искать в гугле что не так с реестром - нашел лишь хороший шиш. В своем реестре тоже путнего ничего не обнаружил.

В общем проблему решил переустановкой автокада.
Поставил ту же версию, которая и была, НО:
раньше такого меню не было
Текущая настройка: Режим копирования = Несколько
Базовая точка или [Перемещение/реЖим] <Перемещение>:

Было лишь: Базовая точка или [Перемещение/Несколько] <Перемещение>:

Короче, большое ХЗ почему и как. Вопрос решен, хоть и не так как хотелось бы.
Всё равно спасибо.

Как повернуть вид эскиза? [2]
2016-07-27 00:48
Автор: Солидворкер

Добавлено: 26 Jul 2016 22:34 (GMT + 4)

Dormer :
Но как повернуть эскиз в той же плоскости?



Относительно модели?

Зенитные фонари над охлаждаемым производственным помещением или холодильником [5]
2016-07-27 00:48
Автор: иваниваныч

Добавлено: 26 Jul 2016 22:22 (GMT + 4)

Tyhig :
Схематично как-то так. ф - фонари, "-" - выступы кровельных сендвич панелей.



Мое абстрактное мышление в данном случае пасует. А может, жара сказывается.
"Нам бы схемку, аль чертеж - мы б затеяли вертеж".

Фотоаппарат, муки выбора [36]
2016-07-27 00:48
Автор: RomaV

Добавлено: 26 Jul 2016 22:14 (GMT + 4)

[OFFTOP]...уже пора в мою тему переезжать :)
Много интересного написали коллеги.[/OFFTOP]

Авиация: история, техника, экономика, инфраструктура. 2015 [1669]
2016-07-27 00:48
Автор: BURAN988

Добавлено: 26 Jul 2016 22:13 (GMT + 4)

Вот это сборочный цех!
Конвейер что ли?
Так собирают F-35
Здесь увидел

[IMG]https://cdn.rt.com/russian/images/2016.07/original/5797919ec46188b11c8b46e1.jpg[/IMG]

Какую лестницу запроектировать при реконструкции в каркасном здании [4]
2016-07-27 00:48
Автор: Baton

Добавлено: 26 Jul 2016 21:51 (GMT + 4)

Лестницу в подвал сделайте монолитной. Под промежуточную площадку сделайте кирпичные стены толщиной 250 мм. Под этой площадкой все равно никто ходить не будет. Верхнюю площадку опирайте на сборные ригели перекрытия. Если они несли перекрытия, то лестницу выдержат. Толщину монолита лестницы задавайте по расчету.

Ошибка при печати в PDF из подшивки [33]
2016-07-27 00:48
Автор: SAPR.pro

Добавлено: 26 Jul 2016 21:49 (GMT + 4)

Господа форумчане подскажите, как побороть ошибку при при публикации из подшивки в формат DWF (AutoCAD Architecture 2016 service pack 1)??

Всего листов 46, и на 25-ом постоянно вылетает фатальная ошибка (см. вложение к сообщению), причем если распечатывать по частям, также из подшивки, то все публикуется нормально. :mad:
Доп. тонкости:
[LIST]
[*]печатаю НЕ в фоновом режиме,
[*]делаю мультистраничный файл с новым именем)
[*]плоттер по умолчанию в листах настроен на вывод в формат PDF.
[*]лист 25 ошибок нет (_audit), побывал даже полностью переделать
[*]побывал полностью синхронизировать проект, закрыть чертежи на всех остальных компьютерах и опубликовать только на одном
[*]побывал опубликовывать на разных компьютерах (везде AutoCAD Architecture 2016)
[/LIST]

Оценка / критика расчетной схемы (SCAD) [2187]
2016-07-27 00:48
Автор: Max147d

Добавлено: 26 Jul 2016 21:45 (GMT + 4)

Boris76 :
А что не так с жёсткими вставками?



В прошлый четверг ездил за консультацией к опытному конструктору, со своим металло. каркасом. Когда он смотрел расчетную модель ткнул пальцем на жесткие вставки со словами "Будет беда". Он показал, что мои второстепенные балки имеют продольные усилия растяжения и не имеют изгибающего момента, что не соответствует работе балки, т.к. это изгибаемый элемент. После этого я убрал вставки и момент в моих балках проявился.

Нужно ли задавать сочетания нагрузок при расчете по РСУ? [15]
2016-07-27 00:48
Автор: Baton

Добавлено: 26 Jul 2016 21:45 (GMT + 4)

Arikaikai :
если это одинаковые абсолютно по виду нагрузки, прикладываются они к одним и тем же элементам, взаимоисключаются и обе являются кратковременные, то меньшую нагрузку рассматривать не стоит вообще, ни в РСУ, ни в ручных расчетах.




Считаю, что надо задавать все нагрузки. Пусть СКАД решает, что хорошо, что плохо. Есть варианты, когда меньшие нагрузки приводят к бОльшим усилиям. В сложных статически неопределимых системах не всегда можно понять, где зло. Пусть СКАД сам все раскладывает. Он для этого и создан. И здесь надо понимать, что СКАД определяет наихудшее сочетание для каждого конкретного элемента. И для двух соседних элементов это могут быть совершенно разные сочетания.

Ширина эвакуационных выходов [209]
2016-07-27 00:48
Автор: alven

Добавлено: 26 Jul 2016 21:37 (GMT + 4)

А в чем проблема? Тут количество эвакуирующихся может быть иным. То есть из расчета 6 м2 на персону. Есть такое требование для офисов. Получится 13 чел. Цифра не критическая. Детальнее нужно видеть ситуацию...

Зенитные фонари над охлаждаемым производственным помещением или холодильником [4]
2016-07-27 00:48
Автор: Tyhig

Добавлено: 26 Jul 2016 21:36 (GMT + 4)

Поправочка.
Теперь фонари оказались только над вытянутыми цехами высотой цеха до покрытия (те же 10 м).

Понравились шедовые фонари, не знал о них.
Беда только в том, что кровля - кровельная сендвич панель и её выступы любыми фонарями перекрываются дважды.

Схематично как-то так. ф - фонари, "-" - выступы кровельных сендвич панелей.
-----ф----ф-------
-----ф----ф-------
-----ф----ф-------
-----ф----ф-------
-----ф----ф-------

Причем направление конька уже не поменять.

Как сделать шедовые фонари, чтобы воды не оставалась между выступами панелей ?

Гербарий.рф - импортозамещение в CAD [39]
2016-07-27 00:48
Автор: BYT

Добавлено: 26 Jul 2016 21:28 (GMT + 4)

ETCartman :
устаревшее морально в значительной мере.



Не будем погружаться в полемику идущую в разрез теме.
Давайте договоримся,что у каждого свои задачи и цели.

[SIZE="1"][COLOR="Gray"]----- добавлено через ~2 мин. -----[/COLOR][/SIZE]

BYT :
вообще конкуренция это очень хорошо.



Безусловно.
Я не уверен,что смогу поменять solidworks на компас 3D. Вовсяком случае на данный момент. А судя по популярности не я один.

Гербарий.рф - импортозамещение в CAD [38]
2016-07-27 00:48
Автор: ETCartman

Добавлено: 26 Jul 2016 21:15 (GMT + 4)

BYT :
Этим автокад и не будет победим.




Автокад (как и его клоны, в том числе "импортозамещающие") - 2д приложение, устаревшее морально в значительной мере. Тут речь все таки о 3д CAD, то есть нечто совсем другое.
Хорошо что они нацеливаются на linux версию, вообще конкуренция это очень хорошо. С моей точки зрения.

Проблема с операцией "Копировать" (выполняется однократно). [9]
2016-07-27 00:48
Автор: Хмурый

Добавлено: 26 Jul 2016 20:47 (GMT + 4)

igrik, лучше реестр не чистить... Ещё и не такое может вылезти